GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
thread_section_name Class Reference

`#include "gdbcore.h"`

## Public Member Functions
| thread_section_name (const char *name, ptid_t ptid)
const char * | c_str () const
| DISABLE_COPY_AND_ASSIGN (thread_section_name)

## Private Attributes
const char * | m_section_name
std::string | m_storage

## Detailed Description

Definition at line 239 of file gdbcore.h.

## Constructor & Destructor Documentation

## ◆ thread_section_name()

thread_section_name::thread_section_name | ( | const char * | name,
|  | ptid_t | ptid
| ) |  |
| inline

Definition at line 245 of file gdbcore.h.

References ptid_t::lwp(), ptid_t::lwp_p(), m_section_name, m_storage, name, and string_printf().

## Member Function Documentation

## ◆ c_str()

const char* thread_section_name::c_str | ( |  | ) | const
| inline

Definition at line 258 of file gdbcore.h.

References m_section_name.

Referenced by fbsd_core_thread_name(), fbsd_core_xfer_siginfo(), and linux_core_xfer_siginfo().

## ◆ DISABLE_COPY_AND_ASSIGN()

thread_section_name::DISABLE_COPY_AND_ASSIGN | ( | thread_section_name |  | ) |

## Member Data Documentation

## ◆ m_section_name

const char* thread_section_name::m_section_name
| private

Definition at line 266 of file gdbcore.h.

Referenced by c_str(), and thread_section_name().

## ◆ m_storage

std::string thread_section_name::m_storage
| private

Definition at line 269 of file gdbcore.h.

Referenced by thread_section_name().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbcore.h